Bug 179999 - WebDriver: add support for accept/dismiss and notify unhandled prompt behavior
Summary: WebDriver: add support for accept/dismiss and notify unhandled prompt behavior
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebDriver (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on: 179979
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-24 01:15 PST by Carlos Garcia Campos
Modified: 2017-12-15 05:15 PST (History)
4 users (show)

See Also:


Attachments
Patch (7.04 KB, patch)
2017-11-24 01:21 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Rebased patch (7.01 KB, patch)
2017-12-02 07:15 PST, Carlos Garcia Campos
clopez: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2017-11-24 01:15:16 PST
Those didn't exist when I implemented this. See https://w3c.github.io/webdriver/webdriver-spec.html#dfn-known-prompt-handling-approaches-table
Comment 1 Carlos Garcia Campos 2017-11-24 01:21:31 PST
Created attachment 327530 [details]
Patch

This won't apply since it depends on patch attached to bug #179979
Comment 2 Carlos Garcia Campos 2017-12-02 07:15:08 PST
Created attachment 328230 [details]
Rebased patch
Comment 3 Build Bot 2017-12-02 07:18:21 PST
Attachment 328230 [details] did not pass style-queue:


ERROR: Source/WebDriver/Session.h:126:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:127:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:212:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:225:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 4 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Carlos Garcia Campos 2017-12-15 05:14:44 PST
Committed r225970: <https://trac.webkit.org/changeset/225970>
Comment 5 Radar WebKit Bug Importer 2017-12-15 05:15:48 PST
<rdar://problem/36072299>